// Ionic Starter App

// angular.module is a global place for creating, registering and retrieving Angular modules
// 'starter' is the name of this angular module example (also set in a <body> attribute in index.html)
// the 2nd parameter is an array of 'requires'
// 'starter.controllers' is found in controllers.js
var app = angular.module('starter', ['ionic', 'starter.controllers', 'ionic-material', 'ionMdInput'])

.run(function ($ionicPlatform,$state) {
    $ionicPlatform.ready(function () {
        // Hide the accessory bar by default (remove this to show the accessory bar above the keyboard
        // for form inputs)
        if (window.cordova && window.cordova.plugins.Keyboard) {
            cordova.plugins.Keyboard.hideKeyboardAccessoryBar(true);
        }
        if (window.StatusBar) {
            // org.apache.cordova.statusbar required
            StatusBar.styleDefault();
        }
        
    });
})

.config(function ($stateProvider, $urlRouterProvider, $ionicConfigProvider) {

    // Turn off caching for demo simplicity's sake
    $ionicConfigProvider.views.maxCache(0);

    /*
    // Turn off back button text
    $ionicConfigProvider.backButton.previousTitleText(false);
    */

    $stateProvider.state('app', {
            url: '/app',
            abstract: true,
            templateUrl: 'templates/menu.html',
            controller: 'AppCtrl'
        })
        .state('login', {
            url: '/login',
            templateUrl: 'templates/login.html',
            controller: 'LoginCtrl'
        })
        .state('logout', {
            url: '/logout',
            controller: 'LogoutCtrl'
        })
        .state('auth', {
            url: '/auth',
            templateUrl: 'templates/auth.html',
            controller: 'AuthCtrl'
        })
        .state('app.home', {
            url: '/home',
            views: {
                'menuContent': {
                    templateUrl: 'templates/home.html',
                    controller: 'HomeCtrl'
                }
            }
        })
        .state('app.profile', {
            url: '/profile',
            views: {
                'menuContent': {
                    templateUrl: 'templates/profile.html',
                    controller: 'ProfileCtrl'
                }
            }
        })
        .state('app.comission', {
            url: '/comission',
            views: {
                'menuContent': {
                    templateUrl: 'templates/monthly_comission.html',
                    controller: 'MonthlyComissionCtrl'
                }
            }
        })
        .state('app.voucher', {
            url: '/voucher',
            views: {
                'menuContent': {
                    templateUrl: 'templates/vouchers.html',
                    controller: 'VoucherCtrl'
                }
            }
        })
        .state('app.payment', {
            url: '/payment',
            views: {
                'menuContent': {
                    templateUrl: 'templates/payment.html',
                    controller: 'PaymentCtrl'
                }
            }
        })
        .state('app.chainlist', {
            url: '/chainlist',
            views: {
                'menuContent': {
                    templateUrl: 'templates/chainlist.html',
                    controller: 'ChainListCtrl'
                }
            }
        })
        .state('app.directmember', {
            url: '/directmember',
            views: {
                'menuContent': {
                    templateUrl: 'templates/directmember.html',
                    controller: 'DirectMemberCtrl'
                }
            }
        })
        .state('app.notifications', {
            url: '/notifications',
            views: {
                'menuContent': {
                    templateUrl: 'templates/notifications.html',
                    controller: 'NotificationCtrl'
                }
            }
        })
        .state('app.calender', {
            url: '/calender',
            views: {
                'menuContent': {
                    templateUrl: 'templates/calender.html',
                    controller: 'CalenderCtrl'
                }
            }
        });

    // if none of the above states are matched, use this as the fallback
    $urlRouterProvider.otherwise('/auth');
});